Bug 1260376 - [abrt] evolution: gtk_style_context_get_style_valist(): evolution killed by SIGSEGV
[abrt] evolution: gtk_style_context_get_style_valist(): evolution killed by S...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:18a5ac11c90919c19f846f19271...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 05:35 EDT by Heiko Adams
Modified: 2015-10-14 06:25 EDT (History)
10 users (show)

See Also:
Fixed In Version: gtk3-3.18.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-14 06:25:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (114.12 KB, text/plain)
2015-09-06 05:35 EDT, Heiko Adams
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-06 05:35 EDT, Heiko Adams
no flags Details
File: core_backtrace (13.20 KB, text/plain)
2015-09-06 05:35 EDT, Heiko Adams
no flags Details
File: dso_list (24.60 KB, text/plain)
2015-09-06 05:35 EDT, Heiko Adams
no flags Details
File: environ (1.31 KB, text/plain)
2015-09-06 05:35 EDT, Heiko Adams
no flags Details
File: exploitable (100 bytes, text/plain)
2015-09-06 05:36 EDT, Heiko Adams
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-06 05:36 EDT, Heiko Adams
no flags Details
File: maps (112.68 KB, text/plain)
2015-09-06 05:36 EDT, Heiko Adams
no flags Details
File: mountinfo (3.37 KB, text/plain)
2015-09-06 05:36 EDT, Heiko Adams
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-06 05:36 EDT, Heiko Adams
no flags Details
File: open_fds (4.53 KB, text/plain)
2015-09-06 05:36 EDT, Heiko Adams
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-09-06 05:36 EDT, Heiko Adams
no flags Details
File: var_log_messages (2.04 KB, text/plain)
2015-09-06 05:36 EDT, Heiko Adams
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 756508 None None None Never

  None (edit)
Description Heiko Adams 2015-09-06 05:35:49 EDT
Version-Release number of selected component:
evolution-3.17.91-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        evolution
crash_function: gtk_style_context_get_style_valist
executable:     /usr/bin/evolution
global_pid:     10582
kernel:         4.2.0-1.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_style_context_get_style_valist at gtkstylecontext.c:1863
 #1 gtk_style_context_get_style at gtkstylecontext.c:1898
 #2 e_web_view_update_fonts at e-web-view.c:2806
 #3 e_web_view_init at e-web-view.c:1794
 #4 g_type_create_instance at gtype.c:1864
 #5 g_object_new_internal at gobject.c:1780
 #6 g_object_new_valist at gobject.c:2039
 #8 mail_paned_view_constructed at e-mail-paned-view.c:680
 #9 g_object_new_internal at gobject.c:1820
 #10 g_object_new_valist at gobject.c:2039
Comment 1 Heiko Adams 2015-09-06 05:35:54 EDT
Created attachment 1070670 [details]
File: backtrace
Comment 2 Heiko Adams 2015-09-06 05:35:55 EDT
Created attachment 1070671 [details]
File: cgroup
Comment 3 Heiko Adams 2015-09-06 05:35:56 EDT
Created attachment 1070672 [details]
File: core_backtrace
Comment 4 Heiko Adams 2015-09-06 05:35:58 EDT
Created attachment 1070673 [details]
File: dso_list
Comment 5 Heiko Adams 2015-09-06 05:35:59 EDT
Created attachment 1070674 [details]
File: environ
Comment 6 Heiko Adams 2015-09-06 05:36:00 EDT
Created attachment 1070675 [details]
File: exploitable
Comment 7 Heiko Adams 2015-09-06 05:36:01 EDT
Created attachment 1070676 [details]
File: limits
Comment 8 Heiko Adams 2015-09-06 05:36:04 EDT
Created attachment 1070677 [details]
File: maps
Comment 9 Heiko Adams 2015-09-06 05:36:05 EDT
Created attachment 1070678 [details]
File: mountinfo
Comment 10 Heiko Adams 2015-09-06 05:36:06 EDT
Created attachment 1070679 [details]
File: namespaces
Comment 11 Heiko Adams 2015-09-06 05:36:08 EDT
Created attachment 1070680 [details]
File: open_fds
Comment 12 Heiko Adams 2015-09-06 05:36:09 EDT
Created attachment 1070681 [details]
File: proc_pid_status
Comment 13 Heiko Adams 2015-09-06 05:36:10 EDT
Created attachment 1070682 [details]
File: var_log_messages
Comment 14 Milan Crha 2015-09-07 05:31:10 EDT
Thanks for a bug report. if I read the backtrace properly, then the crash happened on evolution start. The var_log_messages suggests there happened some sort of memory corruption, maybe a use-after-free, a code reading memory which was already freed. That's only a wild guess.

Does this crash each time you try to start evolution, or it crashes only once (or from time to time), please?
Comment 15 Heiko Adams 2015-09-07 06:31:21 EDT
No, after this mornings boot evolution starts without crashing.
Comment 16 Heiko Adams 2015-09-07 06:32:28 EDT
I forgot: But until I shut down my system yesterday evening Evolution crashes on every attempt to start it.
Comment 17 Milan Crha 2015-09-07 06:52:56 EDT
Was there done any update between yesterday and today? I suspect gtk3 as the place of the crash, but I tried to reproduce with an up-to-date rawhide, also under valgrind, but nothing related was claimed by it.
Comment 18 Heiko Adams 2015-09-07 07:09:15 EDT
Yes, today there were a lot of updates from updates-testing but no gtk3 update.
Comment 19 Milan Crha 2015-09-07 08:15:22 EDT
Then I made a wrong guess. Do you think there's more to be done, here? Evolution can start, and most likely an update of some package fixed the issue, while my only guess was gtk3, but it was wrong. I have no other idea of a culprit package.
Comment 20 Heiko Adams 2015-09-07 08:39:41 EDT
I don't know. So lets wait a few days if this happens again and if not, close this bug.
Comment 21 Jeremy Rimpo 2015-09-24 14:00:39 EDT
Another user experienced a similar problem:

This appears to be caused by the Numix GTK theme. It hasn't caused crashes in any other applications so far. It happens as soon as I run evolution, and I didn't run the previous version after installing the theme so I can't tell when it started to be an issue. The theme definitely works in Fedora 22.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        evolution
crash_function: gtk_style_context_get_style_valist
executable:     /usr/bin/evolution
global_pid:     392
kernel:         4.2.1-300.fc23.x86_64
package:        evolution-3.18.0-1.fc23
reason:         evolution killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 Jeremy Rimpo 2015-09-24 14:40:34 EDT
An update:

I had recompiled a src rpm that was made for F22. This was not the most recent version of the Numix theme.

After pulling the most recent version of the Numix repo, building, and installing the theme manually, I no longer see this error with the theme selected.

Seems like an incompatibility with an older version of the theme, but I'm not sure what's causing this error or how it can be avoided with an older theme version.
Comment 23 daniel.kermac 2015-10-10 08:40:20 EDT
Another user experienced a similar problem:

Click on the Evolution icon, Evolution tries to start and then crashes.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        evolution
crash_function: gtk_style_context_get_style_valist
executable:     /usr/bin/evolution
global_pid:     13936
kernel:         4.2.2-300.fc23.x86_64
package:        evolution-3.18.0-1.fc23
reason:         evolution killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 24 Milan Crha 2015-10-12 07:04:57 EDT
The evolution tries to read from the Theme:
	gtk_style_context_get_style (
		context,
		"link-color", &link,
		"visited-link-color", &visited,
		NULL);
both as a pointer to a GdkColor structure. These style properties are defined on the GtkWidget itself, as GdkColor-s. Thus the way evolution works with them is correct, even the properties as such are deprecated in gtk+.

This seems to be related to certain themes, as I understand it, thus the issue can be partly with the theme and maybe also the desktop environment.
Comment 25 Andre Klapper 2015-10-12 14:15:27 EDT
An Arch user in #evolution reported this, using gtk 3.18.0 on Cinnamon with a theme called "greybiance2".
But "gsettings get org.gnome.desktop.interface gtk-theme" says "Adwaita".
Comment 26 Milan Crha 2015-10-13 10:44:41 EDT
(In reply to Andre Klapper from comment #25)
> An Arch user in #evolution reported this, using gtk 3.18.0 on Cinnamon with
> a theme called "greybiance2".
> But "gsettings get org.gnome.desktop.interface gtk-theme" says "Adwaita".

And the same user reported that after an update of gtk3 to 3.18.2 evolution started without issues.

Could you update to gtk3 3.18.2+ too, please? To verify, whether it's it.
Comment 27 Milan Crha 2015-10-14 06:25:58 EDT
A user of an upstream bug [1] reported that an update to gtk3 3.18.2 fixes the crash, thus I'm closing this as such.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=756508

Note You need to log in before you can comment on or make changes to this bug.